Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.security.control
Class InitServiceEditorListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.security.control.InitServiceEditorListener

All Implemented Interfaces:
  EventListener, WebListener

    public class InitServiceEditorListener

extends AbstractListener

This `Listener` reacts on 'initServiceAdministration'-events, queries the WCAS and passes the service data on to be displayed by the JSP.

NOTE: The submitted catalog name in the event is currently ignored, the catalog to be queried is taken from the harvester configuration.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Field Summary
`protected static URL` | `catalogURL`

Constructor Summary
`InitServiceEditorListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`
`protected Set<String[]>` | `getBriefDescriptions(URL catalogURL)` Retrieves "brief descriptions" of all available services from the WCAS.
`protected String[]` | `getFullDescription(URL catalogURL, String serviceId)` Retrieves the full description for the specified service from the WCAS.
`(package private) static void` | `setHarvesterConfig(String configURL)` Called by init-method of `SecurityRequestDispatcher` once.

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catalogURL

    protected static URL catalogURL

Constructor Detail

### InitServiceEditorListener

    public InitServiceEditorListener()

Method Detail

### setHarvesterConfig

    static void setHarvesterConfig(String configURL)
                            throws IOException,
                                   SAXException,
                                   XMLParsingException

  Called by init-method of `SecurityRequestDispatcher` once.

  Parameters:
    `configURL` -
  Throws:
    `IOException`
    `SAXException`
    `XMLParsingException`

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`

### getBriefDescriptions

    protected Set<String[]> getBriefDescriptions(URL catalogURL)
                                          throws IOException,
                                                 SAXException,
                                                 XMLParsingException

  Retrieves "brief descriptions" of all available services from the WCAS.

  Parameters:
    `catalogURL` -
  Returns:
    elements are arrays of Strings (title, id, type)
  Throws:
    `IOException`
    `SAXException`
    `XMLParsingException`

### getFullDescription

    protected String[] getFullDescription(URL catalogURL,
                                          String serviceId)
                                   throws Exception

  Retrieves the full description for the specified service from the WCAS.

  Parameters:
    `catalogURL` -
    `serviceId` -
  Returns:
    String array (14 values) describing the service
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org